Index: /liacs/TOOS2010/assignment2/src/Census.java
===================================================================
--- /liacs/TOOS2010/assignment2/src/Census.java	(revision 309)
+++ /liacs/TOOS2010/assignment2/src/Census.java	(revision 310)
@@ -1,9 +1,9 @@
-package nl.rickvanderzwet.toos.assignment1;
+package nl.rickvanderzwet.toos.assignment2;
 
-import java.util.Calendar;
-import java.util.HashSet;
-import java.util.Enumeration;
+import java.util.CalendarWrapTest;
+import java.util.HashSetWrapTest;
+import java.util.EnumerationWrapTest;
 
-import nl.rickvanderzwet.toos.assignment1.Voter;
+import nl.rickvanderzwet.toos.assignment2.VoterWrapTest;
 
 import org.apache.log4j.BasicConfigurator;
@@ -29,6 +29,6 @@
 
     /* Nobody likes voting on Tuesday don't they? */
-    Calendar rightNow = Calendar.getInstance();
-    if (rightNow.get(Calendar.DAY_OF_WEEK) == Calendar.WEDNESDAY) {
+    Calendar rightNow = CalendarWrapTest.getInstance();
+    if (rightNow.get(CalendarWrapTest.DAY_OF_WEEK) == CalendarWrapTest.WEDNESDAY) {
       logger.debug("Sorry not today");
       return false;
Index: /liacs/TOOS2010/assignment2/src/Voter.java
===================================================================
--- /liacs/TOOS2010/assignment2/src/Voter.java	(revision 309)
+++ /liacs/TOOS2010/assignment2/src/Voter.java	(revision 310)
@@ -1,15 +1,19 @@
-package nl.rickvanderzwet.toos.assignment1;
+package nl.rickvanderzwet.toos.assignment2;
+
+public class VoterWrapTest extends Voter {
+  public getVote_counter = 0;
+
+  public Boolean getVote() {
+    getVote_counter++;
+    return super.getVote();
+  } 
+
+}
 
 public class Voter {
-  public Voter() {
-    fvote = null;
-  }
-  public Voter(Boolean vote) {
-    fvote = vote;
-  }
-
   public Boolean getVote() { 
     return fvote;
   }
+
   public Boolean fvote; 
 }
